Skip to content

List an endpoint's destinations

GET
/v1/endpoints/{id}/destinations
curl --request GET \
--url https://api.hooks.events/v1/endpoints/example/destinations \
--header 'Authorization: Bearer <token>'

Requires the endpoints:read scope.

id
required
string

Success

Media typeapplication/json
object
data
required
Array<object>
object
id
required

Resource id

string
endpointId
required
string
name
required
string | null
type
required

Target adapter id; http is the generic webhook

string
url
required
string
status
required
string
Allowed values: active paused
consecutiveFailures
required
integer
>= -9007199254740991 <= 9007199254740991
pauseReason
required
string | null
method
required
string
bodyMode
required
string
rateLimitPerMinute
required
Any of:
integer
>= -9007199254740991 <= 9007199254740991
maxConcurrency
required
Any of:
integer
>= -9007199254740991 <= 9007199254740991
createdAt
required

ISO-8601 timestamp

string
updatedAt
required

ISO-8601 timestamp

string
usage
required

Rate-limit defaults and current usage

object
key
additional properties
key
additional properties
nextCursor
required

Pass as ?cursor= to fetch the next page

string | null
key
additional properties

Example

{
"data": [
{
"status": "active"
}
]
}

Validation error

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

Missing or invalid credentials

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

The credential lacks the required scope, or the workspace is not writable

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

Resource not found

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

Rate limited

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}
X-RateLimit-Limit
integer

Requests allowed per window

X-RateLimit-Remaining
integer
X-RateLimit-Reset
integer

Seconds until the window resets